Bug 208648 - Kernel does not support VIA VT8251 Southbridge
Kernel does not support VIA VT8251 Southbridge
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 16:53 EDT by Milan Kerslager
Modified: 2007-11-16 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 23:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci on this system (2.46 KB, text/plain)
2006-09-29 16:57 EDT, Milan Kerslager
no flags Details
lspci -n on this system (1.01 KB, text/plain)
2006-09-29 16:58 EDT, Milan Kerslager
no flags Details
dmesg (11.51 KB, text/plain)
2006-09-29 17:03 EDT, Milan Kerslager
no flags Details
Patch for 2.6.9-42.0.3.EL to enable VIA VT8251 Southbridge (1.01 KB, patch)
2006-11-29 13:35 EST, Milan Kerslager
no flags Details | Diff
Patch for 2.6.9-42.0.3.EL to enable VIA VT8251 Southbridge DMA (1.01 KB, patch)
2006-11-29 13:35 EST, Milan Kerslager
no flags Details | Diff

  None (edit)
Description Milan Kerslager 2006-09-29 16:53:46 EDT
On ASUS K8V-XE board I have got this message:

VP_IDE: Unknown VIA SouthBridge, disabling DMA.

The kernel does not allow DMA on IDE disks then:

# hdparm -d1 /dev/hda
HDIO_SET_DMA failed: Operation not permitted

This seems that this southbridge is unsupported (is not on the list) and this
simple patch should help:
http://marc.theaimsgroup.com/?l=linux-ide&m=113269890009593&w=2
Comment 1 Milan Kerslager 2006-09-29 16:57:13 EDT
Created attachment 137440 [details]
lspci on this system
Comment 2 Milan Kerslager 2006-09-29 16:58:36 EDT
Created attachment 137441 [details]
lspci -n on this system
Comment 3 Milan Kerslager 2006-09-29 17:03:57 EDT
Created attachment 137444 [details]
dmesg

To get the working onboard LAN, I have to use acpi=off but then I'm getting a
lot of messages:
Losing some ticks... checking if CPU frequency changed.

cpuspeed is not running, AMD K8 Coll'n'Quiet is disabled in the BIOS. The BIOS
is the latest from the ASUS, kernel is 2.6.9-42.0.2.EL, CPU is Sempron 3100+
(this is not AM2 system).
Comment 4 Milan Kerslager 2006-11-29 13:35:15 EST
Created attachment 142399 [details]
Patch for 2.6.9-42.0.3.EL to enable VIA VT8251 Southbridge

This is just adding another PCI ID to the kernel list for VIA VT8251
Southbridge.
Comment 5 Milan Kerslager 2006-11-29 13:35:31 EST
Created attachment 142400 [details]
Patch for 2.6.9-42.0.3.EL to enable VIA VT8251 Southbridge DMA

This is just adding another PCI ID to the kernel list for VIA VT8251
Southbridge.
Comment 6 Alan Cox 2006-12-04 16:52:44 EST
I've just fixed this in libata for the current kernel. I can confirm this patch
is correct for the 8251 and the old IDE. 

Milan - if it isn't upstream yet care to post it to linux-ide/linux-kernel as well ?
Comment 7 Aristeu Rozanski 2006-12-07 13:37:32 EST
Alan, it's upstream:
ceef833bae05e393859f1946a9802fb61f0febdf

Milan, Alan, did you performed tests on this hardware with this patch?
Comment 8 Milan Kerslager 2006-12-08 14:27:36 EST
I'm running pretty bussy mailserver on this machine. Three IDE disks, all of
them with DMA auto-on after the boot, hdparm shows over 50MB/sec, now 9 days
uptime. This is the same machine as I opened the bug for (ASUS K8V-XE).
Comment 11 Milan Kerslager 2006-12-12 18:44:14 EST
Comment on attachment 142399 [details]
Patch for 2.6.9-42.0.3.EL to enable VIA VT8251 Southbridge

Obsolete duplicate entry (FF2 hang/restart IIRC).
Comment 12 Jason Baron 2006-12-13 14:21:05 EST
committed in stream U5 build 42.31. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 13 RHEL Product and Program Management 2006-12-14 17:47:34 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Jay Turner 2006-12-18 09:48:57 EST
QE ack for RHEL4.5.
Comment 16 Milan Kerslager 2007-02-10 03:09:06 EST
The kernel from http://people.redhat.com/jbaron/rhel4/ works OK
(kernel-2.6.9-46.EL).
Comment 18 Red Hat Bugzilla 2007-05-07 23:45:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.